Pause or Resume Project
curl --request GET \
--url https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/projects/{projectId}/toggle-pause \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/projects/{projectId}/toggle-pause"
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-key': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://api.xenia.team/api/v1/ops/workspaces/{workspaceId}/projects/{projectId}/toggle-pause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "c7966d63-52ce-4967-b30a-16aaa9e806b5",
"title": "Monthly Safety Walk",
"isPaused": true,
"type": "role",
"state": "ready",
"entityIds": [
"7481ca15-cdb1-4e0f-a936-f8f88a56e989"
],
"isLocationAutoTag": true,
"isSchedulesProject": true,
"assigneesRoles": {
"creationType": "role",
"roles": [
"7481ca15-cdb1-4e0f-a936-f8f88a56e989"
],
"locations": [],
"locationGroups": []
},
"metadata": {},
"createdAt": "2026-07-30T18:47:09.085Z",
"updatedAt": "2026-07-30T18:47:09.085Z"
},
"extra_meta": {
"message": "Project has been paused"
}
}Projects
Pause or Resume Project
Toggles the project’s paused flag: a running project is paused, a paused project is resumed. There is no way to request a specific target state — read isPaused first if you need to be sure which way it will go. Pausing stops new tasks being generated from the project’s schedules. Requires both Pause/Resume Project and Manage Tasks permissions.
GET
/
api
/
v1
/
ops
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
toggle-pause
Pause or Resume Project
Path Parameters
UUID of the workspace. Must be the workspace the API key belongs to.
Example:
"cb363f7e-c52a-4478-911d-f6a6f791090e"
UUID of the project.
Example:
"c7966d63-52ce-4967-b30a-16aaa9e806b5"
Response
Project paused or resumed. The extra_meta.message states which happened.
⌘I